Package com.logicaldoc.core.searchengine

# Class Hits

java.lang.Object
com.logicaldoc.core.searchengine.Hits

All Implemented Interfaces:
  `Serializable`, `Iterator<Hit>`

public class Hits extends Object implements Iterator<Hit>, Serializable
Iterator on the collection of hits, plus some statistical informations about the query. Attention: each hit's data is lazy loaded.

Since:
  6.5
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Hits()`
`Hits(org.apache.solr.client.solrj.response.QueryResponse rsp)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getCount()`
`long`
`getElapsedTime()`
`long`
`getEstimatedCount()`
`boolean`
`hasNext()`
`Hit`
`next()`
`void`
`remove()`
`static Hit`
`toHit(org.apache.solr.common.SolrDocument sdoc)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### Hits

public Hits()

### Hits

public Hits(org.apache.solr.client.solrj.response.QueryResponse rsp)

## Method Details

### getEstimatedCount

public long getEstimatedCount()

### getElapsedTime

public long getElapsedTime()

### getCount

public long getCount()

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Hit>`

### next

public Hit next()

Specified by:
  `next` in interface `Iterator<Hit>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<Hit>`

### toHit

public static Hit toHit(org.apache.solr.common.SolrDocument sdoc)